package main

/* Il programma prende sulla riga di comando una stringa e un float64 e li stampa in vari modi. */

import "fmt"
import "os"
import "strconv"

func main() {
	x := os.Args[1]
	y, err := strconv.ParseFloat(os.Args[2], 64)
	if err != nil {
		fmt.Printf("Errore di conversione della stringa %s in un numero\n", os.Args[2])
		return
	}
	fmt.Println(x, y)
	fmt.Printf("%s %f\n", x, y)
	fmt.Printf("%s %g\n", x, y)
	fmt.Printf("%s %.1g\n", x, y)
	fmt.Printf("%s %.1f\n", x, y)
	fmt.Printf("%s %.2f\n", x, y)
	fmt.Printf("%s %.3f\n", x, y)
	fmt.Printf("%s %.4f\n", x, y)
	fmt.Printf("%s %10.4f\n", x, y)
	fmt.Printf("%s %-10.4f***\n", x, y)
	fmt.Printf("%s %010.4f\n", x, y)
	fmt.Printf("%s %-010.4f\n", x, y)

	n:=3
	fmt.Printf("%.*f\n", n, y)
	fmt.Printf("%f\n", x)

}